# Import the Schedule Task backup
$stBackup = Import-Clixml -Path c:\temp\ExportAppLog.xml

# Reset the logon type to "Run only when the user is logged on."
#$stBackup.Principal.LogonType = 'Interactive'

# Create a new Scheduled Task object using the imported values
$restoreTask = New-ScheduledTask `
    -Action $stBackup.Actions `
    -Trigger $stBackup.Triggers `
    -Settings $stBackup.Settings `
    -Principal $stBackup.Principal

Register-ScheduledTask `
    -TaskName 'automatic-updates_restored' `
    -InputObject $restoreTask `
    -User 'cust\ivo-admin' `
    -Password 'ziE62AcG'